.TH XvUngrabPort __libmansuffix__ __vendorversion__ "libXv Functions"
.SH NAME
XvUngrabPort \- release port grabbed for video operation
.\"
.SH SYNOPSIS
.B #include <X11/extensions/Xvlib.h>
.sp
.nf
.BI "int XvUngrabPort(Display *" dpy ", XvPortID " port ", Time " time ");"
.fi
.SH ARGUMENTS
.\"
.IP \fIdpy\fR 8
Specifies the connection to the X server.
.IP \fIport\fR 8
Specifies the port to be released.  If the port had not been
previously grabbed, the request is ignored.
.IP \fItime\fR 8
Specifies the request timestamp.
.\"
.SH DESCRIPTION
.BR XvUngrabPort (__libmansuffix__)
 releases a grabbed port.  If \fItime\fR specifies a time before the last
.BR XvGrabPort (__libmansuffix__)
was executed, the request is ignored.
.\"
.SH RETURN VALUES
.IP [Success] 8
Returned if
.BR XvUngrabPort (__libmansuffix__)
completed successfully.
.IP [XvBadExtension] 8
Returned if the Xv extension is unavailable.
.IP [XvBadAlloc] 8
Returned if
.BR XvUngrabPort (__libmansuffix__)
failed to allocate memory to process the request.
.SH DIAGNOSTICS
.IP [XvBadPort] 8
Generated if the requested port does not exist.
.SH SEE ALSO
.\"
.BR XvGrabPort (__libmansuffix__)
